org.apache.felix.ipojo.extender.internal.processor

## Class ExtensionBundleProcessor

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.processor.ExtensionBundleProcessor

All Implemented Interfaces:
  BundleProcessor, Lifecycle

    public class ExtensionBundleProcessor
    extends java.lang.Object
    implements BundleProcessor

Bundle processor handling the `IPOJO_EXTENSION` header.

### Field Summary

Fields
`static java.lang.String` `IPOJO_EXTENSION` iPOJO Extension declaration header.

### Constructor Summary

Constructors
Constructor and Description
`ExtensionBundleProcessor(Log logger)` Creates the processor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate(org.osgi.framework.Bundle bundle)` A bundle is starting.
`void` `deactivate(org.osgi.framework.Bundle bundle)` A bundle is stopping.
`void` `start()` iPOJO is starting.
`void` `stop()` iPOJO is stopping.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IPOJO_EXTENSION

    public static final java.lang.String IPOJO_EXTENSION

iPOJO Extension declaration header.

See Also:
  Constant Field Values

### Constructor Detail

#### ExtensionBundleProcessor

    public ExtensionBundleProcessor(Log logger)

Creates the processor.

Parameters:
  `logger` - the logger

### Method Detail

#### activate

    public void activate(org.osgi.framework.Bundle bundle)

A bundle is starting.

Specified by:
  `activate` in interface `BundleProcessor`
Parameters:
  `bundle` - the bundle

#### deactivate

    public void deactivate(org.osgi.framework.Bundle bundle)

A bundle is stopping.

Specified by:
  `deactivate` in interface `BundleProcessor`
Parameters:
  `bundle` - the bundle

#### start

    public void start()

iPOJO is starting. Nothing to do.

Specified by:
  `start` in interface `Lifecycle`

#### stop

    public void stop()

iPOJO is stopping. We clean up all extension in the reverse order of their installation.

Specified by:
  `stop` in interface `Lifecycle`